#!/usr/bin/env python
# -*- coding:utf-8 -*-

import torch
import torchvision
from torchvision import transforms, models, datasets
from torch import nn


class Net(nn.Module):
    def __init__(self):
        super(Net, self).__init__()
        self.conv1 = nn.Conv2d(in_channels = 1, out_channels = 64, kernel_size = 3)
        self.conv2 = nn.Conv2d(in_channels = 64, out_channels = 64, kernel_size = 3)
        self.pool1 = nn.MaxPool2d(kernel_size = 2)

        self.conv3 = nn.Conv2d(in_channels = 64,out_channels = 128,kernel_size = 3)
        self.conv4 = nn.Conv2d(in_channels = 128,out_channels = 128,kernel_size = 3)
        self.pool2 = nn.MaxPool2d(kernel_size = 2)

        self.conv5 = nn.Conv2d(in_channels = 128,out_channels = 256,kernel_size = 3)
        self.conv6 = nn.Conv2d(in_channels = 256,out_channels = 256,kernel_size = 3)
        self.pool3 = nn.MaxPool2d(kernel_size = 2)

        self.conv7 = nn.Conv2d(in_channels = 256,out_channels = 512,kernel_size = 3)
        self.conv8 = nn.Conv2d(in_channels = 512,out_channels = 512,kernel_size = 3)
        self.pool4 = nn.MaxPool2d(kernel_size = 2)

        self.conv9 = nn.Conv2d(in_channels = 512,out_channels = 1024,kernel_size = 3)
        self.conv10 = nn.Conv2d(in_channels = 1024,out_channels = 1024,kernel_size = 3)
        self.up1 = nn.C