#!/usr/bin/env python
# -*- coding:utf-8 -*-
import os
import re
import shutil

names = [(path, name) for path in filter(lambda x: os.path.isdir('data/' + x), os.listdir('data')) for name in
         filter(lambda x: x != '.DS_Store', os.listdir('data/' + path))]
# Note that input/output paths should be changed
for path, name in names:
    res = re.match(r'(\d{8})\-(.*)\s(atcc|ATCC)\s?(\d+)\s(.*)', path)
    new_path = res.group(2) + res.group(4) + res.group(5)

    res = re.match(r'.*\s(.*[uU][gG]|[dD]2[oO]|[lL][bB]|TOB|levo).*\s(\d+.*)', name)
    new_name = res.group(1) + res.group(2)
    try:
        os.makedirs('./dest/' + new_path)
    except:
        print('exist')
    shutil.copyfile('./data/' + path + '/' + name, 'dest/' + new_path + '/' + new_name)